Package org.apache.sling.scripting.sightly.js.impl.use

# Class DependencyResolver

java.lang.Object
org.apache.sling.scripting.sightly.js.impl.use.DependencyResolver

public class DependencyResolver extends Object
Resolves dependencies specified by the Use function

## Constructor Summary

Constructors
Constructor
Description
`DependencyResolver(@NotNull org.apache.sling.api.resource.ResourceResolver scriptingResourceResolver)`

## Method Summary

Modifier and Type
Method
Description
`@Nullable org.apache.sling.scripting.core.ScriptNameAwareReader`
`resolve(Bindings bindings, String dependency)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DependencyResolver

public DependencyResolver(@NotNull @NotNull org.apache.sling.api.resource.ResourceResolver scriptingResourceResolver)

## Method Details

### resolve

@Nullable public @Nullable org.apache.sling.scripting.core.ScriptNameAwareReader resolve(Bindings bindings, String dependency)